package de.comline.config.configuration;

import org.h2.tools.Server;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class H2WebConsoleConfig {
	private static final Logger LOG = LoggerFactory.getLogger(H2WebConsoleConfig.class);

	@Bean(name = "h2WebConsole", initMethod = "start", destroyMethod = "stop")
	public Server buildServer() throws Exception {
		String port = "8081";

		LOG.info("H2 web console server listening on port " + port);
		return Server.createWebServer("-web", "-webAllowOthers", "-webPort", port);
	}
}
